# Crear enlace pago recurrentes

Este servicio puede ser utilizado para que los clientes se puedan suscribir y se les cargue mes a mes un monto definido por el comercio.

Posterior a creada la suscripción se les debe compartir a los clientes la urlEnlace para que puedan afiliarse al servicio. Esta afiliación debe ser aceptada manualmente por el usuario ya que está sujeta a términos y condiciones del servicio.

## Creación de la suscripción/ enlace cargo recurrente

Este método permite la creación de una suscripción a cargo recurrente que luego podrá ser compartida a los clientes finales que desean suscribirse.

{% hint style="info" %}
POST [/EnlacePagoRecurrente](https://api.wompi.sv)
{% endhint %}

### Objeto de petición

```json
{
  "diaDePago": 0,
  "nombre": "string",
  "idAplicativo": "string",
  "monto": 0,
  "descripcionProducto": "string"
}
```

### Definición de campos

| Campo               | Requerido | Tipo Dato | Descripción                                                                                          |
| ------------------- | --------- | --------- | ---------------------------------------------------------------------------------------------------- |
| diaDePago           | Si        | Entero    | Día del mes en el cual se realizará el cargo a los clientes                                          |
| nombre              | Si        | String    | Nombre de la suscripción (servicio) a cobrarle a los clientes                                        |
| idAplicativo        | Si        | String    | Id del negocio asociado al cargo recurrente.  (APP ID dentro del panel, en el detalle de un negocio) |
| monto               | Si        | Decimal   | Monto del pago recurrente                                                                            |
| descripcionProducto | Si        | String    | Descripción del producto o servicio a brindarle al cliente.                                          |

### Respuesta de endpoint

JSON de ejemplo

```json
{
  "idEnlace": "string",
  "urlEnlaceLargo": "string",
  "urlEnlace": "string",
  "estaProductivo": true,
  "urlQrCodeEnlace": "string"
}
```

### Descripción de campos de respuesta

| Campo           | Tipo Dato | Descripción                                                                         |
| --------------- | --------- | ----------------------------------------------------------------------------------- |
| idEnlace        | String    | Identificador único de la suscripción                                               |
| urlEnlaceLargo  | String    | Url larga del cargo recurrentepara que los clientes puedan suscribirse              |
| urlEnlace       | String    | Url corta del cargo recurrente para que los clientes puedan suscribirse             |
| estaProductivo  | Boolean   | Indicativo si se encuentra activo o no la suscripción del cargo recurrente          |
| urlQrCodeEnlace | String    | URL con la imagen del código QR para poderla compartir como comercio a sus clientes |

## Otros endpoints disponibles

| Endpoint                                                                                                                                                                     | Descripción                                                                |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------- |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>GET <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id</a></p></div>              | Endpoint para obtener la información de un enlace recurrente (suscripción) |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>POST <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id</a></p></div>             | Permite desactivar un enlace recurrente (suscripción)                      |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>PUT <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id</a></p></div>              | Permite editar un enlace recurrente (suscripción)                          |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>GET <a href="https://api.wompi.sv">/EnlacePagoRecurrente</a></p></div>                 | Obtiene la lista de enlaces recurrentes de la cuenta                       |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>DELETE <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id/imagen</a></p></div>    | Elimina la imagen del enlace recurrente                                    |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>POST <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id/imagen</a></p></div>      | Permite agregar una imagen (bytes) a un enlace recurrente                  |
| <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>GET <a href="https://api.wompi.sv">/EnlacePagoRecurrente/id/suscrpciones</a></p></div> | Obtiene todos los suscritos a un enlace recurrente                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wompi.sv/metodos-api/crear-enlace-pago-recurrentes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
